summary refs log tree commit diff
diff options
context:
space:
mode:
-rwxr-xr-x.ci/format.sh3
-rw-r--r--resources/qml/PrivacyScreen.qml6
2 files changed, 5 insertions, 4 deletions
diff --git a/.ci/format.sh b/.ci/format.sh
index 31eba878..cdbc0464 100755
--- a/.ci/format.sh
+++ b/.ci/format.sh
@@ -14,7 +14,8 @@ do
     clang-format -i "$f"
 done;
 
-QMLFORMAT_PATH=$(command -v qmlformat)
+QMLFORMAT_PATH=$(command -v qmlformat || true)
+
 if [ -n "$QMLFORMAT_PATH" ]; then
     QML_FILES=$(find resources -type f -iname "*.qml")
 
diff --git a/resources/qml/PrivacyScreen.qml b/resources/qml/PrivacyScreen.qml
index 98c802a0..2cfae471 100644
--- a/resources/qml/PrivacyScreen.qml
+++ b/resources/qml/PrivacyScreen.qml
@@ -33,9 +33,9 @@ Item {
         onTriggered: {
             if (MainWindow.visible)
                 timelineRoot.grabToImage(function(result) {
-                    screenSaver.state = "Visible";
-                    imageSource = result.url;
-                }, Qt.size(width, height));
+                screenSaver.state = "Visible";
+                imageSource = result.url;
+            }, Qt.size(width, height));
 
         }
     }